<template>
  <div>
    <q-checkbox
      v-model="column.config.useCheckbox"
      label="Use readonly checkbox"
      :true-value="true"
      :false-value="false"
    />
    <q-input
      v-if="!column.config.useCheckbox"
      v-model="column.config.trueLabel"
      stack-label="True value label"
      inverted-light
      color="white"
      class="q-mt-sm"
    />
    <q-input
      v-if="!column.config.useCheckbox"
      v-model="column.config.falseLabel"
      stack-label="True value label"
      inverted-light
      color="white"
      class="q-mt-sm"
    />
  </div>
</template>

<script>
  export default {
    name: 'booleanColumn',
    props: {
      column: {
        type: Object,
      },
    },
  };
</script>
